Skip to main content
GET
/
v1
/
courses
/
{id}
Retrieve a course
curl --request GET \
  --url https://api.example.com/v1/courses/{id}
import requests

url = "https://api.example.com/v1/courses/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/courses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Path parameters

id
string
required
The course ID.

Query parameters

expand
string[]
Inline related resources. Up to 3 levels deep. Allowed paths: cohorts, cohorts.units, cohorts.lessons, cohorts.lessons.activities, cohorts.lessons.content.

Returns

The Course.

Examples

const course = await hk.courses.retrieve("crs_123", {
  expand: ["cohorts.lessons"],
});
$course = $hk->courses->retrieve('crs_123', [
    'expand' => ['cohorts.lessons'],
]);
course = hk.courses.retrieve(
    "crs_123",
    expand=["cohorts.lessons"],
)
curl "https://api.hawkings.education/v1/courses/crs_123?expand=cohorts.lessons" \
  -H "x-api-key: $HAWKINGS_API_KEY" \
  -H "X-Learning-Platform-Code: $HAWKINGS_PLATFORM_CODE"